PUT
Update Credential

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Path Parameters

credential_uuid
string
required

Body

application/json

Request schema for updating a webhook credential.

name
string | null
description
string | null
credential_type
enum<string> | null

Webhook credential authentication types

Available options:
none,
api_key,
bearer_token,
basic_auth,
custom_header
credential_data
Credential Data ┬╖ object | null

Response

Successful Response

Response schema for a webhook credential (never includes sensitive data).

uuid
string
required
name
string
required
description
string | null
required
credential_type
string
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required